## org.eclipse.datatools.sqltools.core.services
Class SQLService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.SQLService

public class SQLService
extends java.lang.Object

A SQL language related service specific to a database definition.

Author:
  Hui Cao

Constructor Summary
`SQLService()`

Method Summary
`IIdentifierValidator` `getIdentifierValidator()` Returns Identifier Validator TODO implement IIdentifierValidator
`ParserProposalAdvisor` `getParserProposalAdvisor()`
`ProceduralObjectSourceUpdater` `getProceduralObjectSourceUpdater(SQLObject object, DatabaseDefinition dbDefinition)` Returns the ProceduralObjectSourceUpdater object used to update the source of the given sql object
`GenericSQLContextType` `getSQLContextType()` Returns a specific `GenericSQLContextType` object which identifies the context type of templates used in SQL editor.
`SQLParser` `getSQLParser()` Returns a `SQLParser` object which is used to parse SQL dialect.
`ISQLSyntax` `getSQLSyntax()` Returns an `ISQLSyntax` object which can be used to highlight sql statements in SQL editor.
`java.lang.String[]` `splitSQL(java.lang.String sql)` Splits the sql statement into groups of statements according to SQL statement delimiter such as "go" or ";".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLService

    public SQLService()

Method Detail

### getSQLSyntax

    public ISQLSyntax getSQLSyntax()

  Returns an `ISQLSyntax` object which can be used to highlight sql statements in SQL editor.

  Returns:
    an `ISQLSyntax` object specific to a SQL dialect.

### getSQLContextType

    public GenericSQLContextType getSQLContextType()

  Returns a specific `GenericSQLContextType` object which identifies the context type of templates used in SQL editor.

  Returns:
    a `GenericSQLContextType` object

### getSQLParser

    public SQLParser getSQLParser()

  Returns a `SQLParser` object which is used to parse SQL dialect.

  Returns:
    a `SQLParser` object

### splitSQL

    public java.lang.String[] splitSQL(java.lang.String sql)

  Splits the sql statement into groups of statements according to SQL statement delimiter such as "go" or ";".

  Parameters:
    `sql` - statement to be splitted
  Returns:
    sql statement array

### getParserProposalAdvisor

    public ParserProposalAdvisor getParserProposalAdvisor()

### getIdentifierValidator

    public IIdentifierValidator getIdentifierValidator()

  Returns Identifier Validator TODO implement IIdentifierValidator

  Returns:

### getProceduralObjectSourceUpdater

    public ProceduralObjectSourceUpdater getProceduralObjectSourceUpdater(SQLObject object,
                                                                          DatabaseDefinition dbDefinition)

  Returns the ProceduralObjectSourceUpdater object used to update the source of the given sql object

  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.